"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBlackConfig = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const log_1 = require("../util/log");
const reader_1 = require("./reader");
const blankConfig = `/* eslint-env node */

module.exports = () => ({
  // All packages that should be typed
  packages: [],

  // All default configs
  defaults: {}
});
`;
function createBlackConfig() {
    return __awaiter(this, void 0, void 0, function* () {
        for (const name of reader_1.possibleFilenames) {
            const file = path_1.default.resolve(process.cwd(), name);
            if (fs_1.default.existsSync(file)) {
                log_1.log.error `An "${name}" already exists`;
                return;
            }
        }
        const file = path_1.default.resolve(process.cwd(), reader_1.possibleFilenames[0] || 'declarator.js');
        try {
            yield fs_1.default.promises.writeFile(file, blankConfig);
            log_1.log.info `Created "${reader_1.possibleFilenames[0]}"`;
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
        }
        catch (e) {
            log_1.log.error `Failed to create a blank config at "${file}" ${e}`;
        }
    });
}
exports.createBlackConfig = createBlackConfig;
//# sourceMappingURL=create-blank.js.map