#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const create_blank_1 = require("../config/create-blank");
const log_1 = require("../util/log");
const program_1 = require("./program");
const run_1 = require("./run");
(() => __awaiter(void 0, void 0, void 0, function* () {
    const program = yield (0, program_1.createProgram)();
    program.parse(process.argv);
    const { debug, init } = program.opts();
    if (!debug) {
        log_1.log.debug = () => undefined;
    }
    if (init) {
        yield (0, create_blank_1.createBlackConfig)();
        return;
    }
    yield (0, run_1.run)();
}))().catch(log_1.log.error);
//# sourceMappingURL=cli.js.map