"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasNpmPackage = void 0;
const https_1 = __importDefault(require("https"));
/**
 * A simple api method to check if a npm package exists
 *
 * @param name The package name
 * @returns True if the package exists
 */
function hasNpmPackage(name) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            const url = `https://registry.npmjs.com/${name}`;
            // The registry.npmjs.com api return a non 404 code to every package that exists in the registry
            https_1.default
                .get(url, (response) => {
                resolve(response.statusCode != 404);
                response.destroy(); // stops the request
            })
                .on('error', reject);
        });
    });
}
exports.hasNpmPackage = hasNpmPackage;
//# sourceMappingURL=api.js.map