"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readPackageJson = exports.editPackageJson = void 0;
const promises_1 = __importDefault(require("fs/promises"));
const path_1 = __importDefault(require("path"));
function editPackageJson(directory, editor) {
    return __awaiter(this, void 0, void 0, function* () {
        const [packagePath, content] = yield readPackageJson(directory);
        const newContent = editor(content);
        yield promises_1.default.writeFile(packagePath, JSON.stringify(newContent, null, 2));
    });
}
exports.editPackageJson = editPackageJson;
function readPackageJson(directory) {
    return __awaiter(this, void 0, void 0, function* () {
        const packagePath = path_1.default.join(directory, 'package.json');
        const content = yield (yield promises_1.default.readFile(packagePath)).toString();
        return [packagePath, JSON.parse(content.toString())];
    });
}
exports.readPackageJson = readPackageJson;
//# sourceMappingURL=package-json.js.map